accessPackageAssignment: reprocess
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
In Azure AD entitlement management, callers can automatically reevaluate and enforce an accessPackageAssignment object of a user’s assignments for a specific access package. The assignmentState of the access package must be Delivered for the administrator to reprocess the user's assignment. Only admins with the Access Package Assignment Manager role, or higher, in Azure AD entitlement management can perform this action.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EntitlementManagement.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | EntitlementManagement.ReadWrite.All |
HTTP request
POST /identityGovernance/entitlementManagement/accessPackageAssignments/{id}/reprocess
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 202 Accepted response code and reevaluates and enforces the user's assignments of the accessPackageAssignment object, meaning the status of the access package will be changed to Delivered. If the assignment doesn't exist, this method will return 404 Not Found or if the id isn't valid, this method returns a 400 Bad Request response code.
Examples
Request
The following is an example of the request.
POST https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/accessPackageAssignments/d82eb508-acc4-43cc-bcf1-7c1c4a2c073b/reprocess
Response
The following is an example of the response.
HTTP/1.1 202 Accepted
Feedback
Submit and view feedback for